Desvincula colaboradores de um ajuste de registro de ponto
curl --request PATCH \
--url https://api.example.com/ajuste-registro/{ajusteRegistroId}/collaborators/unbind \
--header 'Content-Type: application/json' \
--data '
{
"collaboratorIds": [
"123-abc",
"456-def"
]
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({collaboratorIds: ['123-abc', '456-def']})
};
fetch('https://api.example.com/ajuste-registro/{ajusteRegistroId}/collaborators/unbind', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/ajuste-registro/{ajusteRegistroId}/collaborators/unbind"
payload = { "collaboratorIds": ["123-abc", "456-def"] }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/ajuste-registro/{ajusteRegistroId}/collaborators/unbind"
payload := strings.NewReader("{\n \"collaboratorIds\": [\n \"123-abc\",\n \"456-def\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"status": true,
"mensagem": "OK"
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Ajustes Registro
Desvincula colaboradores de um ajuste de registro de ponto
PATCH
/
ajuste-registro
/
{ajusteRegistroId}
/
collaborators
/
unbind
Desvincula colaboradores de um ajuste de registro de ponto
Path Parameters
Id do ajuste de registro
Example:
"e87753cf-49d3-49b7-9206-689ed4acc9cb"
Body
application/json
Colaboradores a serem desvinculados
Ids dos colaboradores a serem vinculados ou desvinculados
Example:
["123-abc", "456-def"]